﻿#if UNITY_EDITOR
using Unity.CodeEditor;
using UnityEditor;
using UnityEngine;

namespace Sos
{
    [CustomEditor(typeof(CacheSettings))]
    public class CacheSettingsEditor : Editor
    {
        private SerializedProperty memoryCacheProp;
        private SerializedProperty diskCacheProp;
        private SerializedProperty diskCacheSizeProp;

        private void OnEnable()
        {
            CodeEditor.Editor.CurrentCodeEditor.SyncAll();

            memoryCacheProp = serializedObject.FindProperty(nameof(CacheSettings.memoryCacheSize));
            diskCacheProp = serializedObject.FindProperty(nameof(CacheSettings.diskCache));
            diskCacheSizeProp = serializedObject.FindProperty(nameof(CacheSettings.diskCacheSize));

        }

        public override void OnInspectorGUI()
        {
            EditorGUILayout.PropertyField(memoryCacheProp);
            if (diskCacheProp.boolValue)
            {
                EditorGUI.BeginDisabledGroup(Application.isPlaying);
                EditorGUILayout.PropertyField(diskCacheProp);
                EditorGUILayout.PropertyField(diskCacheSizeProp);
                EditorGUI.EndDisabledGroup();
            }
            else
            {
                EditorGUI.BeginDisabledGroup(Application.isPlaying);
                EditorGUILayout.PropertyField(diskCacheProp);
                EditorGUI.EndDisabledGroup();
            }
#if POLYGON_STREAMING_DEBUG_FUNCTIONS
            if (GUILayout.Button("Clear Disk Cache"))
            {
                (serializedObject.targetObject as CacheSettings)?.ClearDiskCache();
            }
#endif
            serializedObject.ApplyModifiedProperties();
        }
    }
}
#endif