﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sos;


public class StreamingModelDebugger : MonoBehaviour
{

    public StreamingModel model = null;
    public StreamController streamController = null;
    public XrgDebugStatistics.DebugMetric activeMetric = XrgDebugStatistics.DebugMetric.Score;
    public UnityEngine.UI.Text textElementToUpdate = null;
    public Vector2 uiPos = new Vector2(10, 10);


    // Update is called once per frame
    void Update()
    {
        if (model != null && streamController != null)
        {
            if (!m_attached)
            {
                m_attached = true;
                m_statistics.model = model.m_implementation;
                m_statistics.streamController = streamController.m_implementation;
                m_statistics.textElementToUpdate = textElementToUpdate;
            }
            m_statistics.uiPos = uiPos;
            m_statistics.activeMetric = activeMetric;
            m_statistics.Update();
        }
    }

#if UNITY_EDITOR
    void OnDrawGizmos()
    {
        m_statistics.OnDrawGizmos();
    }

    void OnGUI()
    {
        if (m_attached)
        {
            m_statistics.OnGUI();
        }
    }
#endif

    private bool m_attached = false;
    private XrgDebugStatistics m_statistics = new XrgDebugStatistics();
}
