//todo; mark as hidden
Shader "Hidden/PolygonStreaming/MetallicExtractor"
{
    Properties
    {
        _MainTex ("Texture", 2D) = "white" {}
    }
    SubShader
    {
        Pass
        {
            CGPROGRAM
            #pragma vertex vert
            #pragma fragment frag
            #include "UnityCG.cginc"

            struct appdata
            {
                float4 vertex : POSITION;
                float2 uv : TEXCOORD0;
            };

            struct v2f
            {
                float2 uv : TEXCOORD0;
                float4 vertex : SV_POSITION;
            };

            sampler2D _MainTex;

            v2f vert (appdata v)
            {
                v2f o;
                o.vertex = UnityObjectToClipPos(v.vertex);
                // Flip the texture vertically
                o.uv = float2(v.uv.x, 1.0 - v.uv.y);
                //original texture is flipped vertically, so we flip it back above
                //o.uv = v.uv;
                return o;
            }

            fixed4 frag (v2f i) : SV_Target
            {
                fixed4 col = tex2D(_MainTex, i.uv);
                // Extract green channel and set as alpha - this seems like a bug somewhere since it should be the blue channel
                //it seems like the image is stored in linear space, so we convert it to gamma space to get the orignal intensity
                float gammaValue = LinearToGammaSpace(col.g);  
                return fixed4(0, 0, 0, gammaValue); 
            }
            ENDCG
        }
    }
}
